Index: frontends/php/api/classes/class.chost.php
===================================================================
--- frontends/php/api/classes/class.chost.php	(revision 38884)
+++ frontends/php/api/classes/class.chost.php	(working copy)
@@ -1102,19 +1102,19 @@
 				$result = DBexecute('INSERT INTO hosts (hostid, proxy_hostid, host, port, status, useip, dns, ip, disable_until, available,'.
 					'useipmi,ipmi_port,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,ipmi_ip) VALUES ('.
 					$hostid.','.
-					$host['proxy_hostid'].','.
+					zbx_dbstr($host['proxy_hostid']).','.
 					zbx_dbstr($host['host']).','.
-					$host['port'].','.
-					$host['status'].','.
-					$host['useip'].','.
+					zbx_dbstr($host['port']).','.
+					zbx_dbstr($host['status']).','.
+					zbx_dbstr($host['useip']).','.
 					zbx_dbstr($host['dns']).','.
 					zbx_dbstr($host['ip']).
 					',0,'.
 					HOST_AVAILABLE_UNKNOWN.','.
-					$host['useipmi'].','.
-					$host['ipmi_port'].','.
-					$host['ipmi_authtype'].','.
-					$host['ipmi_privilege'].','.
+					zbx_dbstr($host['useipmi']).','.
+					zbx_dbstr($host['ipmi_port']).','.
+					zbx_dbstr($host['ipmi_authtype']).','.
+					zbx_dbstr($host['ipmi_privilege']).','.
 					zbx_dbstr($host['ipmi_username']).','.
 					zbx_dbstr($host['ipmi_password']).','.
 					zbx_dbstr($host['ipmi_ip']).')'
@@ -1125,7 +1125,7 @@
 
 				foreach($host['groups'] as $group){
 					$hostgroupid = get_dbid('hosts_groups', 'hostgroupid');
-					$result = DBexecute("INSERT INTO hosts_groups (hostgroupid, hostid, groupid) VALUES ($hostgroupid, $hostid, {$group['groupid']})");
+					$result = DBexecute('INSERT INTO hosts_groups (hostgroupid, hostid, groupid) VALUES ('.zbx_dbstr($hostgroupid).','.zbx_dbstr($hostid).','.zbx_dbstr($group['groupid']).')');
 					if(!$result){
 						self::exception(ZBX_API_ERROR_PARAMETERS, 'DBerror');
 					}
Index: frontends/php/api/classes/class.cgraphitem.php
===================================================================
--- frontends/php/api/classes/class.cgraphitem.php	(revision 38884)
+++ frontends/php/api/classes/class.cgraphitem.php	(working copy)
@@ -131,7 +131,7 @@
 
 // type
 		if(!is_null($options['type'] )){
-			$sql_parts['where'][] = 'gi.type='.$options['type'];
+			$sql_parts['where'][] = 'gi.type='.zbx_dbstr($options['type']);
 		}
 
 // output
@@ -274,8 +274,8 @@
 
 		$sql = 'SELECT gi.gitemid '.
 				' FROM graphs_items gi '.
-				' WHERE gi.itemid='.$gitem_data['itemid'].
-					' AND gi.graphid='.$gitem_data['graphid'].
+				' WHERE gi.itemid='.zbx_dbstr($gitem_data['itemid']).
+					' AND gi.graphid='.zbx_dbstr($gitem_data['graphid']);
 		$db_res = DBselect($sql);
 		while($gitem = DBfetch($db_res)){
 			$gitemids[$gitem['gitemid']] = $gitem['gitemid'];
Index: frontends/php/api/classes/class.cimage.php
===================================================================
--- frontends/php/api/classes/class.cimage.php	(revision 38884)
+++ frontends/php/api/classes/class.cimage.php	(working copy)
@@ -324,9 +324,9 @@
 
 				$imageid = get_dbid('images','imageid');
 				$values = array(
-					'imageid' => $imageid,
+					'imageid' => zbx_dbstr($imageid),
 					'name' => zbx_dbstr($image['name']),
-					'imagetype' => $image['imagetype'],
+					'imagetype' => zbx_dbstr($image['imagetype'])
 				);
 
 				if($DB['TYPE'] == 'ORACLE'){
@@ -432,7 +432,7 @@
 
 				$values = array();
 				if(isset($image['name'])) $values['name'] = zbx_dbstr($image['name']);
-				if(isset($image['imagetype'])) $values['imagetype'] = $image['imagetype'];
+				if(isset($image['imagetype'])) $values['imagetype'] = zbx_dbstr($image['imagetype']);
 
 				if(isset($image['image'])){
 // Decode BASE64
@@ -448,7 +448,7 @@
 						$values['image'] = zbx_dbstr($image['image']);
 					}
 					else if($DB['TYPE'] == 'ORACLE'){
-						$sql = 'SELECT image FROM images WHERE imageid = '.$image['imageid'].' FOR UPDATE';
+						$sql = 'SELECT image FROM images WHERE imageid = '.zbx_dbstr($image['imageid']).' FOR UPDATE';
 
 						if(!$stmt = oci_parse($DB['DB'], $sql)){
 							$e = oci_error($DB['DB']);
@@ -469,7 +469,7 @@
 						$row['IMAGE']->free();
 					}
 					else if($DB['TYPE'] == 'IBM_DB2'){
-						$stmt = db2_prepare($DB['DB'], 'UPDATE images SET image=? WHERE imageid='.$image['imageid']);
+						$stmt = db2_prepare($DB['DB'], 'UPDATE images SET image=? WHERE imageid='.zbx_dbstr($image['imageid']));
 
 						if(!$stmt){
 							self::exception(ZBX_API_ERROR_PARAMETERS, db2_conn_errormsg($DB['DB']));
@@ -489,7 +489,7 @@
 				foreach($values as $field => $value){
 					$sql_upd[] = $field.'='.$value;
 				}
-				$sql = 'UPDATE images SET '.implode(', ', $sql_upd).' WHERE imageid='.$image['imageid'];
+				$sql = 'UPDATE images SET '.implode(', ', $sql_upd).' WHERE imageid='.zbx_dbstr($image['imageid']);
 				$result = DBexecute($sql);
 
 				if(!$result){
